Bug 23686 - /etc/aliases has parse error's, looses RHS addresses
/etc/aliases has parse error's, looses RHS addresses
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-09 21:35 EST by Robert M. Stockmann
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-17 14:44:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert M. Stockmann 2001-01-09 21:35:56 EST
sendmail-8.11.0-8.i386.rpm uses /etc/aliases and /etc/aliases.db
to reroute email adresses. 

We noticed that sendmail doesn't parse /etc/aliases correctly , an example
:

G.W.Bush@gov.com:	bush, grandpa

sometimes it workes ok, sometimes email sent to G.W.Bush@gov.com only is
sent
to bush@gov.com or only to grandpa@gov.com. Sometimes even no email is 
sent to Mlocal. 

The behaviour , correct or faulty stays the same after /usr/bin/newaliases
is run.

Temporary solution :

remove the sendmail version included with redhat 7.0 :

rpm -e sendmail-8.11.0-8.i386.rpm \
	sendmail-cf-8.11.0-8.i386.rpm  sendmail-doc-8.11.0-8.i386.rpm

and use the sendmail rpm's from redhat 6.2 combined with 
compat-glibc-6.2-2.1.3.2.i386.rpm from redhat 7.0 :

rpm -Uhv compat-glibc-6.2-2.1.3.2.i386.rpm
compat-libstdc++-6.2-2.9.0.9.i386.rpm
rpm -Uhv sendmail-8.9.3-20.i386.rpm \
	sendmail-cf-8.9.3-20.i386.rpm sendmail-doc-8.9.3-20.i386.rpm
Comment 1 Henri Schlereth 2001-01-17 14:44:18 EST
I thought /etc/aliases has the format:

localhost name:       localhost name, local@machine, local@FDQN

Anything else should be in things like generics or virtual-hosts.
Comment 2 Florian La Roche 2001-02-04 04:37:46 EST
Yes, use names only on the LHS. Please also make sure you update
glibc to a newer errata version, so that everything runs smoothly.

Note You need to log in before you can comment on or make changes to this bug.